package gov.anl.aps.dm.portal.model.tempstorage;

import gov.anl.aps.dm.portal.model.entities.CloneableEntity;
import gov.anl.aps.dm.portal.model.entities.RoleType;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author bfrosik
 */
public class ExperimentUser extends CloneableEntity {

    String username;
    String name;
    Map<RoleType, Boolean> roles = new HashMap();

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setIsInRole(RoleType role, boolean isInRole) {
        roles.put(role, isInRole);
    }
    
}
